Subject: Re: [alsa-devel] [very-RFC 0/8] TSN driver for the kernel

From: Richard Cochran <[email-masked]>
Date: Thu, 23 Jun 2016 15:28:05 +0200

On Thu, Jun 23, 2016 at 12:38:48PM +0200, Henrik Austad wrote:
> Richard: is it fair to assume that if ptp4l is running and is part of a PTP 
> domain, ktime_get() will return PTP-adjusted time for the system?

No.

> Or do I also need to run phc2sys in order to sync the system-time
> to PTP-time?

Yes, unless you are using SW time stamping, in which case ptp4l will
steer the system clock directly.

HTH,
Richard